def read_hessian(file):
    return np.loadtxt(file).reshape(10,10)
import numpy as np
hessians = []
import os
from scipy.linalg import svdvals

damp = [1e1, 1e2, 1e3, 1e4, 1e5, 1e6]
allev = []
for d in damp:
    ev = []
    hessdir=f"d{int(d):d}/hessians"
    for file in os.listdir(hessdir):

        H = read_hessian(os.path.join(hessdir, file))
        ev.append(np.sort(svdvals(H))[::-1].tolist())

    allev.append(ev)

np.savez('eigens.npz', d=np.array(damp), ev=np.array(allev))


