#!/bin/bash
#SBATCH -N1
#SBATCH -t02:00:00
#SBATCH -A GEO111 

# just in case
ulimit -s unlimited

# load things
module purge
module load emacs python/3.7-anaconda3
. /sw/andes/python/3.7/anaconda-base/etc/profile.d/conda.sh


conda activate lwsspy_andes

DATA=/gpfs/alpine/geo111/scratch/lsawade/DATA_DATABASE

# INVDATABASE=/gpfs/alpine/geo111/scratch/lsawade/testdatabase_mt_si_hypo_damping_2
# EVENTS=$(ls /ccs/home/lsawade/DATA_DATABASE/tobedownloadednow

INVDATABASE=/gpfs/alpine/geo111/scratch/lsawade/testdatabase_mt_si_hypo_damping_2
EVENTS=$(ls /ccs/home/lsawade/DATA_DATABASE/cmtsolutions_hejun)

gcmt3d-syncdata $DATA $INVDATABASE -e $EVENTS -n 16

