#!/bin/bash

set -e

db_gcmt3d="/gpfs/alpine/geo111/scratch/lsawade/testdatabase_mt_si_hypo_damping_2"
db_gcmt3dp="/gpfs/alpine/geo111/scratch/lsawade/database_depth_hypo_damping_2"

outdir="/gpfs/alpine/geo111/scratch/lsawade/stats/filelists"

[ ! -d $outdir ] && mkdir -p $outdir

echo "GCMT"
ls ${db_gcmt3d}/*/*_gcmt         > ${outdir}/gcmt.files        && cat ${outdir}/gcmt.files | wc -l &
echo "GCMT3D"
ls ${db_gcmt3d}/*/*_gcmt3d       > ${outdir}/gcmt3d.files      && cat ${outdir}/gcmt3d.files | wc -l &
echo "GCMT3DX"
ls ${db_gcmt3d}/*/*_gcmt3d_fix   > ${outdir}/gcmt3d_fix.files  && cat ${outdir}/gcmt3d_fix.files | wc -l &
echo "GCMT3D+"
ls ${db_gcmt3dp}/*/*_gcmt3d+     > ${outdir}/gcmt3d+.files     && cat ${outdir}/gcmt3d+.files | wc -l &
echo "GCMT3D+X"
ls ${db_gcmt3dp}/*/*_gcmt3d+_fix > ${outdir}/gcmt3d+_fix.files && cat ${outdir}/gcmt3d+_fix.files | wc -l &

wait

