#!/bin/bash

DAMPINGDIR=/ccs/home/lsawade/DAMPING

for DAMP in $(ls ${DAMPINGDIR} | grep "d1")
do
    echo $DAMP
    CMTDIR=${DAMPINGDIR}/${DAMP}/cmtsolutions

    HESSDIR=${DAMPINGDIR}/${DAMP}/hessians

    if [ ! -d ${HESSDIR} ]
    then
	echo making $HESSDIR
	mkdir $HESSDIR
    fi
    
    for CMT in $(ls $CMTDIR)
    do
	
	LOG=${DAMPINGDIR}/${DAMP}/logs/${CMT}.out.txt
	HESS=${HESSDIR}/${CMT}.txt

	# Grabs Hessian from file
	# echo $LOG "-->" $HESS
	cat $LOG | grep -A 32 Scaled  | grep -B 24 "GCMT3DInversion.py:1288" | xargs | cut -d '[' -f 3 | cut -d ']' -f 1 > $HESS
	
    done
done
