#!/bin/bash
#SBATCH -N1
#SBATCH -t03:00:00
#SBATCH -A GEO111 
#SBATCH --output=output.fix_database

# just in case
ulimit -s unlimited

# load things
module purge
module load python/3.7.0-anaconda3-2018.12 
. /sw/dtn/python/3.7/anaconda3/2018.12/etc/profile.d/conda.sh

# Set vairables
LABEL=gcmt3d
INVDATABASE=/gpfs/alpine/geo111/scratch/lsawade/testdatabase_mt_si_hypo_damping_2

# Fix database
gcmt3d-fix-dlna-database $INVDATABASE -l $LABEL


